Bug 192134 - math/abacus: build with GCC 4.8 fails with ./Include/abacus/poolslotref.inc:101:48: error: invalid use of incomplete type 'class ABA_MASTER'
Summary: math/abacus: build with GCC 4.8 fails with ./Include/abacus/poolslotref.inc:1...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pietro Cerutti
URL:
Keywords:
Depends on:
Blocks: 192025
  Show dependency treegraph
 
Reported: 2014-07-26 14:56 UTC by Gerald Pfeifer
Modified: 2014-07-28 07:51 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2014-07-26 14:56:17 UTC
We are working to change the default version of GCC from 4.7 (which
is end of life) to 4.8.

This port is one of a handfull that blocks this migration since it fails
to build on FreeBSD/amd64 10 as follows:


g++48  -I./Include -I/usr/local/include/coin  -DABACUS_SYS_LINUX -DABACUS_THROW_WITH_INFO -DABACUS_COMPILER_GCC43 -Wall   -O2 -fPIC  -c sources/lp.cc -o tmp/linux20-gcc44/lp.o
In file included from ./Include/abacus/poolslotref.h:150:0,
                 from ./Include/abacus/cutbuffer.inc:32,
                 from ./Include/abacus/cutbuffer.h:179,
                 from ./Include/abacus/standardpool.inc:32,
                 from ./Include/abacus/standardpool.h:221,
                 from ./Include/abacus/master.h:54,
                 from sources/lp.cc:29:
./Include/abacus/poolslotref.inc: In member function 'void ABA_POOLSLOTREF<BaseType, CoType>::printDifferentVersionError() const':
./Include/abacus/poolslotref.inc:101:48: error: invalid use of incomplete type 'class ABA_MASTER'
      ABA_POOLSLOTREF<BaseType, CoType>::master_->out() << "ABA_POOLSLOTREF::con: Version of reference to slot " << version_;
                                                ^

http://package23.nyi.freebsd.org/data/10amd64-default-PR192025/2014-07-24_23h12m00s/logs/errors/abacus-3.2.b1_2.log
has the full log.
Comment 1 Pietro Cerutti freebsd_committer 2014-07-28 07:51:41 UTC
Fixed in r363115, thanks.